Subject: Re: linux ethernet problem

From: Valentine Barshak <[email-masked]>
Date: Thu, 04 Oct 2007 15:45:39 +0400

jxnuxdy wrote:
> Hi,
>  
>    I use the 440epx CPU and bcm5241 PHY in my system, the ehternet works 
> fine in u-boot, however I can't use the ethernet in linux if I didn't 
> active the ehernet in u-boot(such as 'ping'... or 'tftp'...).
>  
>    Is there anyone even encounter such problem? is the issue due to my 
> u-boot or linux?

What kernel version do you use?
Please, make sure that phy is initialized by linux and the phy mode is 
correct.
IIRC, bcm5241 is connected to the ZMII bridge and works in SMII mode.
Thanks,
Valentine.

>  
>  
> ,Regards
> - Denny
> 
> 
> 网 易 Yeah.net 免 费 邮 箱 全 新 改 版，珍 藏 帐 号 开 放，快 来 抢 注 
>  >> < http://event.mail.163.com/chanel/click.htm?from=NO_16&domain=163>
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded